Name:           libXcm
Version:        0.4.0
Release:        1%{?dist}
Summary:        X Color Management Library

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.oyranos.org
Source0:        http://downloads.sourceforge.net/oyranos/libXcm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  libXfixes-devel
BuildRequires:  libXmu-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  xorg-x11-xtrans-devel


%description
The libXcm library is a reference implementation of the net-color spec.
It allows to attach color regions to X windows to communicate with color
servers.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel
Requires:       xorg-x11-proto-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#Remove installed doc
rm -rf $RPM_BUILD_ROOT%{_docdir}

#Fix timestamp to prevent multilibs conflict
touch -r ChangeLog doc/html/*


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/net-color-spec
%doc doc/html
%dir %{_includedir}/X11/Xcm
%{_includedir}/X11/Xcm/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/xcm.pc
%{_mandir}/man3/*.3.*


%changelog
* Fri Jan 07 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Fri Nov 05 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Sun Aug 22 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.2.7-1
- Update to 0.27

* Fri Jul 16 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.2.6-2
- Fix X11 directory ownership for header.
- Improve description

* Wed Jul 14 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.2.6-1
- Initial spec file

